package org.sky.scientific.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
@Schema(description = "研发费用辅助账汇总表")
public class DeductionCostSummary {

	@Schema(description = "资本化金额小计-允许加计扣除金额合计")
	private BigDecimal yxjjkcjehj_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-允许加计扣除金额合计")
	private BigDecimal yxjjkcjehj_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-允许加计扣除金额合计")
	private BigDecimal yxjjkcjehj_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-允许加计扣除金额合计")
	private BigDecimal yxjjkcjehj_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-人员人工费用")
	private BigDecimal ryrgfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-人员人工费用")
	private BigDecimal ryrgfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-人员人工费用")
	private BigDecimal ryrgfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-人员人工费用")
	private BigDecimal ryrgfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-直接投入费用")
	private BigDecimal zjtrfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-直接投入费用")
	private BigDecimal zjtrfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-直接投入费用")
	private BigDecimal zjtrfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-直接投入费用")
	private BigDecimal zjtrfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-折旧费用")
	private BigDecimal zjfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-折旧费用")
	private BigDecimal zjfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-折旧费用")
	private BigDecimal zjfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-折旧费用")
	private BigDecimal zjfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-无形资产摊销")
	private BigDecimal wxzctx_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-无形资产摊销")
	private BigDecimal wxzctx_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-无形资产摊销")
	private BigDecimal wxzctx_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-无形资产摊销")
	private BigDecimal wxzctx_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-新产品设计费等")
	private BigDecimal xcpsjfd_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-新产品设计费等")
	private BigDecimal xcpsjfd_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-新产品设计费等")
	private BigDecimal xcpsjfd_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-新产品设计费等")
	private BigDecimal xcpsjfd_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-前五项小计")
	private BigDecimal total_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-前五项小计")
	private BigDecimal total_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-前五项小计")
	private BigDecimal total_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-前五项小计")
	private BigDecimal total_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-其他相关费用合计")
	private BigDecimal qtxgfyhj_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-其他相关费用合计")
	private BigDecimal qtxgfyhj_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-其他相关费用合计")
	private BigDecimal qtxgfyhj_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-其他相关费用合计")
	private BigDecimal qtxgfyhj_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-经限额调整后的其他相关费用")
	private BigDecimal qtxgfyhj_adjust_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-经限额调整后的其他相关费用")
	private BigDecimal qtxgfyhj_adjust_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-经限额调整后的其他相关费用")
	private BigDecimal qtxgfyhj_adjust_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-经限额调整后的其他相关费用")
	private BigDecimal qtxgfyhj_adjust_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnjgfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnjgfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnjgfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnjgfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-允许加计扣除的委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal yxwtjnjgfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-允许加计扣除的委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal yxwtjnjgfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-允许加计扣除的委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal yxwtjnjgfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-允许加计扣除的委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal yxwtjnjgfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_hjje = new BigDecimal("0.00");
	;


	@Schema(description = "资本化金额小计-经限额调整后的委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_adjust_zbh = new BigDecimal("0.00");
	;

	@Schema(description = "费用化金额小计-经限额调整后的委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_adjust_fyh = new BigDecimal("0.00");
	;

	@Schema(description = "其中：其他事项-经限额调整后的委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_adjust_qt = new BigDecimal("0.00");
	;

	@Schema(description = "金额合计-经限额调整后的委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwjgfy_adjust_hjje = new BigDecimal("0.00");
	;

	@Schema(description = "表格内的数据，每个项目有资本化和费用化两条数据")
	List<DeductionCostSummaryItem> itemList;
}
